#version 150
		
in vec3 Vertex;
in vec3 Normal;
in vec2 UVCoord0;

out vec3 outNormal;
out vec2 outUVCoord0;

uniform mat4 ModelViewProjectionMatrix;
uniform mat3 NormalMatrix;

void main(void)
{
	gl_Position = ModelViewProjectionMatrix * vec4(Vertex.xyz, 1);
	outNormal   = normalize(NormalMatrix * Normal);
	outUVCoord0 = UVCoord0;
}
